首页 » Linux » CentOS » php7安装amqp扩展(基于Centos6.x)

php7安装amqp扩展(基于Centos6.x)

 

当前使用Centos6.x系统,php使用7.1版本,wlnmp一键包已支持该扩展

php7安装amqp扩展(基于Centos7.x)参考:https://blog.whsir.com/post-4683.html

amqp扩展包地址:https://pecl.php.net/package/amqp

与Centos7不同的是,在Centos6.x环境下需要手动编译rabbitmq-c,否则会看到如下报错

1、安装所需依赖,如果在编译时还提示缺少其他依赖,请自行安装

2、编译rabbitmq-c

注意:rabbitmq-c-0.9.0与rabbitmq-c-0.8.0版本编译方式不同,我这里以最新的0.9.0为例

3、下载amqp最新稳定版

根据自己phpize的位置来运行即可(不知道phpize在哪的直接find / -name phpize查找),运行完提示下面信息,然后编译

Configuring for:
PHP Api Version: 20160303
Zend Module Api No: 20160303
Zend Extension Api No: 320160303

4、编译扩展模块

执行完成后会显示扩展模块编译到的目录/usr/local/php/lib/php/extensions/no-debug-non-zts-20160303/

5、修改php.ini添加扩展

注意:如果之前配置过extension_dir路径了,则只需要配置extension=amqp.so即可

保存退出,重启php

通过phpinfo可看到,扩展已生效

原文链接:php7安装amqp扩展(基于Centos6.x),转载请注明来源!

0